{% extends "/default/default.twig" %}
{% block title %}Impostazioni{% endblock %}
{% block adding_css %}
    <link href="{{dirDefault}}/ext_assets/bootstrap-datepicker/datepicker.css" rel="stylesheet">
{% endblock %}

{% block wrapper %}
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <h1 class="titleHeader">Impostazioni</h1>
        </div>
    </div>
    <div class="row col-md-6">
        <form id="form_impostazioni">
            <div class="form-group">
                <label>Percorrenza : Avviso giallo ...</label>
                <input class="form-control giorni" name="alert1_out" placeholder="giorni" value="{{ alert1_out }}">
            </div>
            <div class="form-group">
                <label>Percorrenza : Avviso rosso ...</label>
                <input class="form-control giorni" name="scadenza_out" placeholder="giorni" value="{{ scadenza_out }}">
            </div>
            <hr>
            <div class="form-group">
                <label>Inizio data per grafico percorrenza</label>
                <input class="form-control datepicker" name="data_start_grafico" placeholder="data" value="{{ data_start_grafico }}">
            </div>
            <input type="submit"class="btn btn-primary" value="Salva impostazioni">
        </form>
    </div>
    <div id="modal" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title"></h4>
                </div>
                <div class="modal-body">
                </div>
                <div class="modal-footer">
                    <!--<button type="button" id="modal_action" class="btn btn-default close_modal" data-dismiss="modal">Chiudi</button>-->
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->


{% endblock %}


{% block adding_js %}
    <script src="{{dirDefault}}/ext_assets/jquery-validation-1.15.0/dist/jquery.validate.min.js"></script>
    <script src="{{dirDefault}}/ext_assets/jquery-validation-1.15.0/dist/localization/messages_it.min.js"></script>
    <script src="{{dirDefault}}/ext_assets/bootstrap-datepicker/bootstrap-datepicker.js"></script>
    <script src="{{dirDefault}}/ext_assets/jquery.inputmask-3.x/js/inputmask.js"></script>
    <script src="{{dirDefault}}/ext_assets/jquery.inputmask-3.x/js/jquery.inputmask.js"></script>
    <script>
        $(function() {
            $('.datepicker').datepicker({
                format: 'dd/mm/yyyy'
            });


            $(".giorni").inputmask("999",{ "placeholder": "" });
        })

        $("#form_impostazioni").validate({
            rules: {
                alert1_out: {
                    required: true,
                    number:true,
                },
                scadenza_out: {
                    required: true,
                    number:true,
                },
                data_start_grafico: {
                    required: true,
                }
             },
            submitHandler: function (form) {
                var request = $.ajax({
                    method: "post",
                    url: "{{dirDefault}}/impostazioni/salva/",
                    data: $('#form_impostazioni').serialize(),
                    dataType: "json"
                });
                request.done(function (resp) {
                    $("#modal").modal('hide');
                    $(".modal-body").text(resp.msg);
                    if (resp.esito == "OK") {
                        location.href = "{{ dirDefault }}/territorio/lista";
                    }
                    $("#info_modal").modal("show");
                });
                request.fail(function (jqXHR, textStatus) {
                    // console.log("Errore "+ jqXHR +" | "+ textStatus);
                });

            },
            invalidHandler: function () {
                return false;
            }
        });
    </script>

{% endblock %}